import { HtmlTagDescriptor } from 'vite';

declare type GoogleFontFamily = {
    name: string;
    styles?: string;
    defer?: boolean;
};
declare type GoogleFonts = {
    families: (string | GoogleFontFamily)[];
    text?: string;
    display?: 'auto' | 'block' | 'swap' | 'fallback' | 'optional';
    preconnect?: boolean;
};

declare type TypeKitFonts = {
    id: string;
    defer?: boolean;
};

declare type VitePluginFontsOptions = {
    google?: GoogleFonts;
    typekit?: TypeKitFonts;
};
declare function VitePluginFonts(options?: VitePluginFontsOptions): {
    name: string;
    transformIndexHtml(): HtmlTagDescriptor[];
};

export default VitePluginFonts;
export { VitePluginFonts as Plugin, VitePluginFontsOptions };
